<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="AdventureWorksDW2012DataSet1" targetNamespace="http://tempuri.org/AdventureWorksDW2012DataSet1.xsd" xmlns:mstns="http://tempuri.org/AdventureWorksDW2012DataSet1.xsd" xmlns="http://tempuri.org/AdventureWorksDW2012DataSet1.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="AdventureWorksDW2012ConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="AdventureWorksDW2012ConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.Win_Application.Properties.Settings.GlobalReference.Default.AdventureWorksDW2012ConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="SalesViewTableAdapter" GeneratorDataComponentClassName="SalesViewTableAdapter" Name="SalesView" UserDataComponentName="SalesViewTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="AdventureWorksDW2012ConnectionString (Settings)" DbObjectName="AdventureWorksDW2012.dbo.SalesView" DbObjectType="View" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="false" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT EnglishProductName, EnglishProductCategoryName, SalesTerritoryCountry, SalesTerritoryRegion, SalesTerritoryGroup, EnglishProductSubcategoryName, SalesAmount, OrderQuantity FROM dbo.SalesView</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="EnglishProductName" DataSetColumn="EnglishProductName" />
              <Mapping SourceColumn="EnglishProductCategoryName" DataSetColumn="EnglishProductCategoryName" />
              <Mapping SourceColumn="SalesTerritoryCountry" DataSetColumn="SalesTerritoryCountry" />
              <Mapping SourceColumn="SalesTerritoryRegion" DataSetColumn="SalesTerritoryRegion" />
              <Mapping SourceColumn="SalesTerritoryGroup" DataSetColumn="SalesTerritoryGroup" />
              <Mapping SourceColumn="EnglishProductSubcategoryName" DataSetColumn="EnglishProductSubcategoryName" />
              <Mapping SourceColumn="SalesAmount" DataSetColumn="SalesAmount" />
              <Mapping SourceColumn="OrderQuantity" DataSetColumn="OrderQuantity" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="AdventureWorksDW2012DataSet1" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="AdventureWorksDW2012DataSet1" msprop:Generator_UserDSName="AdventureWorksDW2012DataSet1">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="SalesView" msprop:Generator_TableClassName="SalesViewDataTable" msprop:Generator_TableVarName="tableSalesView" msprop:Generator_TablePropName="SalesView" msprop:Generator_RowDeletingName="SalesViewRowDeleting" msprop:Generator_RowChangingName="SalesViewRowChanging" msprop:Generator_RowEvHandlerName="SalesViewRowChangeEventHandler" msprop:Generator_RowDeletedName="SalesViewRowDeleted" msprop:Generator_UserTableName="SalesView" msprop:Generator_RowChangedName="SalesViewRowChanged" msprop:Generator_RowEvArgName="SalesViewRowChangeEvent" msprop:Generator_RowClassName="SalesViewRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="EnglishProductName" msprop:Generator_ColumnVarNameInTable="columnEnglishProductName" msprop:Generator_ColumnPropNameInRow="EnglishProductName" msprop:Generator_ColumnPropNameInTable="EnglishProductNameColumn" msprop:Generator_UserColumnName="EnglishProductName">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="EnglishProductCategoryName" msprop:Generator_ColumnVarNameInTable="columnEnglishProductCategoryName" msprop:Generator_ColumnPropNameInRow="EnglishProductCategoryName" msprop:Generator_ColumnPropNameInTable="EnglishProductCategoryNameColumn" msprop:Generator_UserColumnName="EnglishProductCategoryName">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SalesTerritoryCountry" msprop:Generator_ColumnVarNameInTable="columnSalesTerritoryCountry" msprop:Generator_ColumnPropNameInRow="SalesTerritoryCountry" msprop:Generator_ColumnPropNameInTable="SalesTerritoryCountryColumn" msprop:Generator_UserColumnName="SalesTerritoryCountry">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SalesTerritoryRegion" msprop:Generator_ColumnVarNameInTable="columnSalesTerritoryRegion" msprop:Generator_ColumnPropNameInRow="SalesTerritoryRegion" msprop:Generator_ColumnPropNameInTable="SalesTerritoryRegionColumn" msprop:Generator_UserColumnName="SalesTerritoryRegion">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SalesTerritoryGroup" msprop:Generator_ColumnVarNameInTable="columnSalesTerritoryGroup" msprop:Generator_ColumnPropNameInRow="SalesTerritoryGroup" msprop:Generator_ColumnPropNameInTable="SalesTerritoryGroupColumn" msprop:Generator_UserColumnName="SalesTerritoryGroup" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="EnglishProductSubcategoryName" msprop:Generator_ColumnVarNameInTable="columnEnglishProductSubcategoryName" msprop:Generator_ColumnPropNameInRow="EnglishProductSubcategoryName" msprop:Generator_ColumnPropNameInTable="EnglishProductSubcategoryNameColumn" msprop:Generator_UserColumnName="EnglishProductSubcategoryName">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SalesAmount" msprop:Generator_ColumnVarNameInTable="columnSalesAmount" msprop:Generator_ColumnPropNameInRow="SalesAmount" msprop:Generator_ColumnPropNameInTable="SalesAmountColumn" msprop:Generator_UserColumnName="SalesAmount" type="xs:decimal" />
              <xs:element name="OrderQuantity" msprop:Generator_ColumnVarNameInTable="columnOrderQuantity" msprop:Generator_ColumnPropNameInRow="OrderQuantity" msprop:Generator_ColumnPropNameInTable="OrderQuantityColumn" msprop:Generator_UserColumnName="OrderQuantity" type="xs:short" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>